Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026559
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-05-15 13:212018-05-14 16:15
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf16dac5c4cf5
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026559: Copy From Order process does not fill bom_parent_id information for non stocked BOM products list

DescriptionCopy From Order process does not fill bom_parent_id information for non stocked BOM products list
Steps To ReproduceAs group admin role,

Go to Product window:
Create a new product:
 Item.
 Non Stocked
 Sales: Yes
 Purchase: Yes
 Bill of Materials: Yes
 Tax category: Exento
 Add a Sales Price List
Go to Bill of Materials tab:
  add Cerveza Ale

Go to Sales Order window:
  Create a new one
 Navigate to Lines tab:
   select the bom product
 Click on Explode button
Complete it.

Create a new Sales order, click on Copy from Order button, realise via database that the explode line does not have the bom_parent_id filled, but it should have it with the new c_orderline_id parent id
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038547 closedAtulOpenbravo When cloning a sales order, exploded non stocked BOM product is related with the original order line 

-  Notes
(0068155)
hgbot (developer)
2014-06-19 11:13

Repository: erp/devel/pi
Changeset: f16dac5c4cf517bf4432da2f5d95f954a574afd7
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jun 19 09:56:39 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/f16dac5c4cf517bf4432da2f5d95f954a574afd7 [^]

Fixes Issue 26559:Copy From Order process sets proper BOM Parent

---
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromPOOrder.java
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromPOOrder_data.xsql
---
(0068157)
rafaroda (developer)
2014-06-19 11:22

Tested with Sales Orders with BOM product and checked database: check in images at https://drive.google.com/folderview?id=0B649lz4ZYJcHVU5kZlN5SEZwdFU&usp=sharing [^]
(0068191)
hudsonbot (developer)
2014-06-19 22:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1e0221328796 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-15 13:21 VictorVillar New Issue
2014-05-15 13:21 VictorVillar Assigned To => dmiguelez
2014-05-15 13:21 VictorVillar Modules => Core
2014-05-15 13:21 VictorVillar Triggers an Emergency Pack => No
2014-05-15 13:22 VictorVillar Issue Monitored: networkb
2014-05-15 13:31 VictorVillar Assigned To dmiguelez => jonalegriaesarte
2014-05-15 13:55 heccam Issue Monitored: heccam
2014-05-19 14:33 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-06-16 09:29 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-06-18 04:47 AtulOpenbravo Status new => scheduled
2014-06-18 04:47 AtulOpenbravo fix_in_branch => pi
2014-06-19 11:06 AtulOpenbravo Review Assigned To => rafaroda
2014-06-19 11:06 AtulOpenbravo fix_in_branch pi =>
2014-06-19 11:13 hgbot Checkin
2014-06-19 11:13 hgbot Note Added: 0068155
2014-06-19 11:13 hgbot Status scheduled => resolved
2014-06-19 11:13 hgbot Resolution open => fixed
2014-06-19 11:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f16dac5c4cf517bf4432da2f5d95f954a574afd7 [^]
2014-06-19 11:22 rafaroda Note Added: 0068157
2014-06-19 11:22 rafaroda Status resolved => closed
2014-06-19 22:31 hudsonbot Checkin
2014-06-19 22:31 hudsonbot Note Added: 0068191
2018-05-14 16:15 ngarcia Relationship added related to 0038547


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker